package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouCampaign;

import java.math.BigDecimal;

public interface IBatchService {
    /**
     * 获取 总花费
     *
     * @param accountId
     * @return
     */
    BigDecimal getCost(Long accountId);

    /**
     * 获取总计划预算
     *
     * @param accountId
     * @return
     */
    BigDecimal getBudget(Long accountId);

    /**
     * 获取计划信息
     *
     * @param accountId
     * @param campaignId
     * @return
     */
    KuaiShouCampaign getCampaignInfo(Long accountId, Long campaignId);
}
